Subject: bug#17148: 23.1; Revert Buffer

From: Glenn Morris <[email-masked]>
Date: Tue, 01 Apr 2014 11:54:08 -0400

Michael Albinus wrote:

> Emacs is not notified, when a file changes its state outside Emacs. Only
> prior to writing to a file Emacs checks, whether a file has changed on disk.

Why can't the revert-buffer menu-item check the file mode bits match,
the same way it verifies the modtime? IMO it should just call
file-attributes once, and use that to check time and permissions.